<?xml version="1.0" standalone="yes"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:junos="http://xml.juniper.net/junos/*/junos" 
	xmlns:xnm="http://xml.juniper.net/xnm/1.1/xnm" 
	xmlns:jcs="http://xml.juniper.net/junos/commit-scripts/1.0">
	<xsl:import href="../import/junos.xsl"/>

	<xsl:template match="configuration">
		
		<xsl:for-each select="./interfaces/interface/unit[family/inet/address]">
			<xsl:variable name="intfname" select="concat(../name,'.',./name)"/>
			
				
			<xsl:if test="not(//security/zones/security-zone/interfaces[name=$intfname] or
								//security/zones/functional-zone/management/interfaces[name=$intfname])">
				<xnm:warning>
					<xsl:call-template name="jcs:edit-path">
						<xsl:with-param name="dot" select="."/>
					</xsl:call-template>
					<message>IP address defined but no zone configured. Add the interface to a security zone.</message>
				</xnm:warning>
			</xsl:if>
			
			</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
